/**

 */
(function() {
    function mySetup() {
        var div = document.body.appendChild( document.createElement( 'div' ) );
        $( div ).css( 'width', '500px' ).css( 'height', '500px' ).css( 'border', '1px solid #ccc' );
        var editor = new baidu.editor.Editor();
        editor.render( div );
        var range = new baidu.editor.dom.Range( editor.document );

//        var embed = document.createElement( 'embed' );
//        document.body.appendChild( embed );
//        embed.type = "application/mozilla-npruntime-scriptable-plugin";

        te.obj.push( editor );
        te.obj.push( range );
        te.dom.push( div );
    }

//            input.onclik = embed1.SendKeyborad(browser,title,key,"");
    var s = QUnit.testStart;
    QUnit.testStart = function() {
        s.apply( this, arguments );
        mySetup();
    };
})();